Bug 1025016 - Update from F19 to F20 fails due to osm-gps-map dependency
Update from F19 to F20 fails due to osm-gps-map dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subsurface (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 14:18 EDT by Michael Wiktowy
Modified: 2014-01-10 02:54 EST (History)
2 users (show)

See Also:
Fixed In Version: subsurface-4.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 02:47:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Wiktowy 2013-10-30 14:18:26 EDT
Description of problem:
On an updated F19 system, running the following yum update command line:

yum --releasever=20 --enablerepo=updates-testing --enablerepo=updates distro-sync

causes the following error for subsurface:

Error: Package: subsurface-3.1.1-2.fc20.x86_64 (fedora)
           Requires: libosmgpsmap.so.2()(64bit)
           Removing: osm-gps-map-0.7.3-7.fc19.x86_64 (installed)
               libosmgpsmap.so.2()(64bit)
           Updated By: osm-gps-map-1.0.1-5.fc20.x86_64 (fedora)
               Not found

Additional info:
This is a test requested as per:

http://www.paulmellors.net/donate-1-minute-of-your-time-to-test-upgrades-from-f19-to-f20/

in order to uncover F19->F20 packaging/dependency issues.
Comment 1 Pierre-YvesChibon 2013-10-30 14:39:32 EDT
This is a known problem which I unfortunately cannot fix until the next version of subsurface is released.

The maintainer of libosmgpsmap updated to their latest version which is gtk3 only, which subsurface needs the gtk2 version.
Comment 2 Fedora Update System 2013-12-16 05:14:24 EST
subsurface-4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/subsurface-4.0-1.fc20
Comment 3 Fedora Update System 2013-12-17 14:15:20 EST
Package subsurface-4.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing subsurface-4.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23520/subsurface-4.0-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-18 01:38:10 EST
subsurface-4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/subsurface-4.0-1.fc19
Comment 5 thomas meiner 2014-01-03 10:34:35 EST
Using:
yum install --enablerepo=updates-testing subsurface-4.0-1.fc20
Works well. Thanks!
Comment 6 Fedora Update System 2014-01-10 02:47:15 EST
subsurface-4.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-01-10 02:54:28 EST
subsurface-4.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.